Skip to main content

Create Invoice: Rent Manager

POSThttps://api.propexo.com/v1/invoices/rentmanager/
Method
POST /Bills
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    location_idstringrequired

    The Propexo unique identifier for the location

    invoice_datestringrequired

    The date of issuance for the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestringrequired

    The due date associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    post_datestringrequired

    The post date for the invoice.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsintegerrequired

    The total amount of the invoice

    Possible values: >= 0

    invoice_numberstring

    The invoice or reference number that the vendor assigned to the service request

    notesstring

    Notes associated with the invoice

    invoice_items object[]required

    Line items for the invoice. Each item represents a detail line on the bill in Rent Manager.

    Possible values: >= 1

  • Array [
  • amount_in_centsintegerrequired

    The amount of the invoice item, in cents

    Possible values: >= 0

    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    notesstring

    Notes associated with the invoice item

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    location_idstringrequired

    The Propexo unique identifier for the location

    invoice_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    post_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsintegerrequired

    The total amount of the invoice

    Possible values: >= 0

    invoice_numberstring | nullnullablerequired

    The invoice or reference number that the vendor assigned to the service request

    notesstring | nullnullablerequired

    Notes associated with the invoice

    invoice_items object[]required
  • Array [
  • amount_in_centsintegerrequired

    The amount of the invoice item, in cents

    Possible values: >= 0

    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    notesstring

    Notes associated with the invoice item

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/rentmanager/
curl -X POST https://api.propexo.com/v1/invoices/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"post_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"amount_in_cents": 0,
"property_id": "string",
"financial_account_id": "string",
"notes": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"post_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_number": "string",
"notes": "string",
"invoice_items": [
{
"amount_in_cents": 0,
"property_id": "string",
"financial_account_id": "string",
"notes": "string"
}
]
}
}